{# Search results #}

<div class="contact accordion {% if postgrid %}post-grid__post is-text-left{% endif %}" data-accordion="data-accordion">
    <div class="accordion__header">
        <h3 class="contact__title accordion__title">
            <a href="javascript:void(0);" class="accordion__link">
                {{ contact.get('display_name') }}
            </a>
        </h3>
        <a href="javascript:void(0)" class="accordion__button">
            <img src="{{ plugin_dir_url() }}/img/chevron.svg" alt="{{ __('Open Accordion', 'animafac-plateforme') }}">
        </a>
    </div>
    <div class="accordion__content">
        {% if contact.get('nick_name') %}
            <p>{{ __('Abbreviation:', 'civicrm-frontoffice') }}
                {{ contact.get('nick_name') }}</p>
        {% endif %}

        {% if contact.getTags(tagset) %}
            <p>
                {% if tagset.get('name') %}
                    {{ tagset.get('name') }}{{ __(':', 'civicrm-frontoffice') }}
                {% endif %}
                {{ contact.getTags(tagset)|join(', ') }}
            </p>
        {% endif %}

        <div class="two-column">
            {% if contact.get('street_address') or contact.get('supplemental__address_1') or contact.get('postal_code') or contact.get('city') %}
                <p class="contact__address">
                    {% if contact.get('street_address') %}
                        {{ contact.get('street_address') }}<br/>
                    {% endif %}
                    {% if contact.get('supplemental_address_1') %}
                        {{ contact.get('supplemental_address_1') }}<br/>
                    {% endif %}
                    {{ contact.get('postal_code') }}
                    {{ contact.get('city') }}
                </p>
            {% endif %}

            {% if contact.get('phone') %}
                <p class="contact__phone">
                    <a href="tel:{{ contact.get('phone') }}">{{ contact.get('phone') }}</a>
                </p>
            {% endif %}

            {% if contact.get('email') %}
                <p class="contact__email">
                    <a href="mailto:{{ contact.get('email') }}">{{ contact.get('email') }}</a>
                </p>
            {% endif %}

            {% if contact.getWebsites() %}
                <div>
                    {% for website in contact.getWebsites() %}
                        {% if website.getType().name not in ['Facebook', 'Twitter', 'Instagram'] and website.get('url') %}
                            <p class="contact__websites">
                                {{ website.getType().name }}{{ __(':', 'civicrm-frontoffice') }}
                                <a target="_blank" href="{{ website.get('url') }}">
                                    {{ website.get('url') }}
                                </a>
                            </p>
                        {% endif %}
                    {% endfor %}
                    {% for website in contact.getWebsites() %}
                        {% if website.getType().name == 'Facebook' and website.get('url') %}
                            <a target="_blank" class="social-icon" href="{{ website.get('url') }}">
                                <img src="{{ plugin_dir_url() }}/img/ico_fb.png" alt="{{ website.getType().name }}" title="{{ website.getType().name }}">
                            </a>
                        {% elseif website.getType().name == 'Twitter' and website.get('url') %}
                            <a target="_blank" class="social-icon" href="{{ website.get('url') }}">
                                <img src="{{ plugin_dir_url() }}/img/ico_twitter.png" alt="{{ website.getType().name }}" title="{{ website.getType().name }}">
                            </a>
                        {% elseif website.getType().name == 'Instagram' and website.get('url') %}
                            <a target="_blank" class="social-icon" href="{{ website.get('url') }}">
                                <img src="{{ plugin_dir_url() }}/img/ico_instagram.png" alt="{{ website.getType().name }}" title="{{ website.getType().name }}">
                            </a>
                        {% endif %}

                    {% endfor %}
                </div>
            {% endif %}
        </div>

        <p class="contact__buttons">
            <a class="btn btn--hollow" href="{{ add_query_arg({civicrm_action: 'show_organization', civicrm_id: contact.get('id')}, '') }}">
                Lire la description
            </a>
        </p>

        {% if search %}
            <div class="contact__buttons">
                {% if user.isMember(contact, relationshipType) %}
                    <strong>
                        <em>{{ __('Already a member', 'civicrm-frontoffice') }}</em>
                    </strong>
                {% else %}
                    <form method="post">
                        {% include 'inc/relationship_form.twig'
                        with {member: user, hideAdmin: true, modal: true, submitLabel: __('Add an organization', 'civicrm-frontoffice')} %}
                    </form>
                {% endif %}
            </div>
        {% endif %}
    </div>

</div>
